jif.ast

## Interface JifMethodDecl

- All Superinterfaces:
    polyglot.ast.ClassMember, java.lang.Cloneable, polyglot.ast.CodeBlock, polyglot.ast.CodeDecl, polyglot.ast.CodeNode, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Documentable, JifProcedureDecl, polyglot.ast.MethodDecl, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.ProcedureDecl, java.io.Serializable, polyglot.ast.Term
  All Known Implementing Classes:
    JifMethodDecl_c

      public interface JifMethodDecl
      extends JifProcedureDecl, polyglot.ast.MethodDecl

  An immutable representation of the Jif method declaration. It extends the Java method declaration with the start label, the return label, and various constraints, including the authority constraint, the caller constraint, and the acts-for constraint.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JifMethodDecl` | `constraints(java.util.List<ConstraintNode<Assertion>> constraints)`
    `JifMethodDecl` | `returnLabel(LabelNode returnLabel)`
    `JifMethodDecl` | `startLabel(LabelNode startLabel)`

    - ### Methods inherited from interface jif.ast.JifProcedureDecl

      `constraints, returnLabel, startLabel`

    - ### Methods inherited from interface polyglot.ast.MethodDecl

      `methodInstance, methodInstance, returnType, returnType`

    - ### Methods inherited from interface polyglot.ast.ProcedureDecl

      `flags, flags, formals, formals, id, name, name, procedureInstance, throwTypes, throwTypes`

    - ### Methods inherited from interface polyglot.ast.CodeBlock

      `body, body`

    - ### Methods inherited from interface polyglot.ast.CodeNode

      `codeBody, codeInstance`

    - ### Methods inherited from interface polyglot.ast.ClassMember

      `memberInstance`

    - ### Methods inherited from interface polyglot.ast.Documentable

      `id, javadoc, javadoc`

- - ### Method Detail

    - #### startLabel

          JifMethodDecl startLabel(LabelNode startLabel)

    - #### returnLabel

          JifMethodDecl returnLabel(LabelNode returnLabel)

    - #### constraints

          JifMethodDecl constraints(java.util.List<ConstraintNode<Assertion>> constraints)